package com.steerinfo.ems.emscalpointvalue.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;
import java.util.HashMap;

public class EmsCalpointValue implements IBasePO<HashMap<String, Object>> {
    /**
     * 日期（联合主键2-1）-自动生成(CLOCK,VARCHAR,40)
     */
    @ApiModelProperty(value="日期（联合主键2-1）-自动生成",required=true)
    private String clock;

    /**
     * 计量点ID（联合主键2-2）-自动生成(ITEMID,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点ID（联合主键2-2）-自动生成",required=true)
    private String itemid;

    /**
     * 仪表期初值-获取昨天仪表期末值并自动生成（生成后可自行修改并更新至此表中）亦可人工修改(MINTVALUE,DECIMAL,20)
     */
    @ApiModelProperty(value="仪表期初值-获取昨天仪表期末值并自动生成（生成后可自行修改并更新至此表中）亦可人工修改",required=false)
    private BigDecimal mintvalue;

    /**
     * 仪表期末值-人工录入(MENDVALUE,DECIMAL,20)
     */
    @ApiModelProperty(value="仪表期末值-人工录入",required=false)
    private BigDecimal mendvalue;

    /**
     * 结果值（最终值）-期末减期初自动生成可人工修改(APPORTVALUE,DECIMAL,20)
     */
    @ApiModelProperty(value="结果值（最终值）-期末减期初自动生成可人工修改",required=false)
    private BigDecimal apportvalue;

    /**
     * 操作人-自动生成(OPER_USER,VARCHAR,30)
     */
    @ApiModelProperty(value="操作人-自动生成",required=false)
    private String operUser;

    /**
     * 操作时间--自动生成(OPER_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="操作时间--自动生成",required=false)
    private Date operDate;

    /**
     * 备注--人工录入(BZ,VARCHAR,200)
     */
    @ApiModelProperty(value="备注--人工录入",required=false)
    private String bz;

    private static final long serialVersionUID = 1L;

    public String getClock() {
        return clock;
    }

    public void setClock(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public String getItemid() {
        return itemid;
    }

    public void setItemid(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public BigDecimal getMintvalue() {
        return mintvalue;
    }

    public void setMintvalue(BigDecimal mintvalue) {
        this.mintvalue = mintvalue;
    }

    public BigDecimal getMendvalue() {
        return mendvalue;
    }

    public void setMendvalue(BigDecimal mendvalue) {
        this.mendvalue = mendvalue;
    }

    public BigDecimal getApportvalue() {
        return apportvalue;
    }

    public void setApportvalue(BigDecimal apportvalue) {
        this.apportvalue = apportvalue;
    }

    public String getOperUser() {
        return operUser;
    }

    public void setOperUser(String operUser) {
        this.operUser = operUser == null ? null : operUser.trim();
    }

    public Date getOperDate() {
        return operDate;
    }

    public void setOperDate(Date operDate) {
        this.operDate = operDate;
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", clock=").append(clock);
        sb.append(", itemid=").append(itemid);
        sb.append(", mintvalue=").append(mintvalue);
        sb.append(", mendvalue=").append(mendvalue);
        sb.append(", apportvalue=").append(apportvalue);
        sb.append(", operUser=").append(operUser);
        sb.append(", operDate=").append(operDate);
        sb.append(", bz=").append(bz);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }

	@Override
   	public HashMap<String, Object> getId() {
   		HashMap<String, Object> m = new HashMap<String, Object>();
   		m.put("clock", clock);
   		m.put("itemid", itemid);
   		return m;
   	}

   	@Override
   	public void setId(HashMap<String, Object> id) {
   		this.clock = id.get("clock") == null ? "" : id.get("clock").toString().trim();
   		this.itemid = id.get("itemid") == null ? "" : id.get("itemid").toString().trim();
   	}
}